# PerformanceWatchdogViewModel

#### new Cesium.PerformanceWatchdogViewModel(options)
Widgets/PerformanceWatchdog/PerformanceWatchdogViewModel.js 21

The view model for `PerformanceWatchdog`.

Name | Type | Description
--- | --- | ---

`options`

Object

optional Object with the following properties:

Name | Type | Default | Description
--- | --- | --- | ---
`scene` | Scene |  | The Scene instance for which to monitor performance.
`lowFrameRateMessage` | String | `'This application appears to be performing poorly on your system. Please try using a different web browser or updating your video drivers.'` | optional The message to display when a low frame rate is detected. The message is interpeted as HTML, so make sure it comes from a trusted source so that your application is not vulnerable to cross-site scripting attacks.

### Members

#### dismissMessage : Command
Widgets/PerformanceWatchdog/PerformanceWatchdogViewModel.js 91

Gets a command that dismisses the low frame rate message. Once it is dismissed, the message will not be redisplayed.

#### lowFrameRateMessage : String
Widgets/PerformanceWatchdog/PerformanceWatchdogViewModel.js 34

Gets or sets the message to display when a low frame rate is detected. This string will be interpreted as HTML.

#### lowFrameRateMessageDismissed : Boolean
Widgets/PerformanceWatchdog/PerformanceWatchdogViewModel.js 44

Gets or sets a value indicating whether the low frame rate message has previously been dismissed by the user. If it has been dismissed, the message will not be redisplayed, no matter the frame rate.

#### scene : Scene
Widgets/PerformanceWatchdog/PerformanceWatchdogViewModel.js 79

Gets the `Scene` instance for which to monitor performance.

#### showingLowFrameRateMessage : Boolean
Widgets/PerformanceWatchdog/PerformanceWatchdogViewModel.js 50

Gets or sets a value indicating whether the low frame rate message is currently being displayed.